# Forgejo Contributor Guide

The Forgejo project is run by a community of people who are expected to follow this guide when cooperating on a simple bug fix as well as when changing the governance. For more information about the project, take a look at [the documentation explaining what Forgejo provides](README.md).

Sensitive security-related issues should be reported to [security@forgejo.org](mailto:security@forgejo.org) using [encryption](https://keyoxide.org/security@forgejo.org).

# Table of Contents

- [Code of Conduct](CONTRIBUTING/COC.md)
- [Bugs, features and discussions](#bugs-features-and-discussions)
- [Developer Certificate of Origin (DCO)](#developer-certificate-of-origin-dco)
- [Development workflow](CONTRIBUTING/WORKFLOW.md)
- [Release management](CONTRIBUTING/RELEASE.md)
- [Governance](CONTRIBUTING/GOVERNANCE.md)
- [Secrets](CONTRIBUTING/SECRETS.md)
- [Security](CONTRIBUTING/SECURITY.md)
- [Funding](CONTRIBUTING/FUNDING.md)

# Bugs, features and discussions

The [Forgejo issue tracker](https://codeberg.org/forgejo/forgejo/issues) is where bugs should be reported and features requested.

Discussions regarding all non technical aspects of Forgejo, such as the governance, [happen in the **meta** issue tracker](https://codeberg.org/forgejo/meta/issues).

Other repositories in the [Forgejo organization](https://codeberg.org/forgejo) cover areas such as the [website](https://codeberg.org/forgejo/website), the [Code of Conduct](https://codeberg.org/forgejo/code-of-conduct) and more.

# Developer Certificate of Origin (DCO)

Contributions to Forgejo, in all the repositories in the [Forgejo organization](https://codeberg.org/forgejo) are accepted provided the author agrees to the [Developer Certificate of Origin (DCO)](CONTRIBUTING/DCO.txt).
